<?php
/**
 * stanislav.elbl, 28.02.2021
 */

namespace Ron\Controls;

/**
 * Class AppMenuItem
 * @package Ron
 */
class AppMenuItem
{
    public $text;
    public $menuId;
    public $className;
    public $htmlId;
    public $sectionId;

    /** @var string     css pripadneho obrazku */
    public $glyph;

    public $htmlParams;

    /** @var bool Priznak, ze je polozka vychozi pro zadanou sekci */
    public $default;

    // section
    public $active;
    public $defaultQueryString;

    /** @var bool Priznak, ze je sekce rozbalena */
    public $expanded = false;

    function __construct($text, $menuid, $classname = '', $htmlid = '', $glyph = null)
    {
        $this ->menuId = $menuid;
        $this ->text = $text;
        $this ->className = $classname;
        $this ->htmlId = $htmlid;
        $this ->glyph = $glyph;
    }
}
