<?php
/**
 * stanislav.elbl, 20.05.2022 15:56
 */

namespace RonPortal\Controls;

use Ron\Controls\BrowserField;

class FotoOsobyBrowserField extends BrowserField
{
    private $indexIDOsoby;

    /**
     * FotoZamestnanceField constructor.
     * @param int $indexIdOsoby
     */
    public function __construct($indexIdOsoby)
    {
        parent::__construct();

        $this->indexIDOsoby = $indexIdOsoby;

        $this->setHeaderText('Zamestnanci_foto');
        $this ->setSqlFieldName('Osoba.idFotografie');
    }


    function getViewText($value, $rowNumber, $recordId, $rowData)
    {
        if ($value  &&  $rowData[$this->indexIDOsoby]) {
            return
                '<div class="position-relative">' .
                '<div class="zamestnanec_browser_foto ronFoto">
                <img src="?menuid=zamestnanec&action=foto&osoba=' . $rowData[$this->indexIDOsoby] . '" alt="foto osoby"/>
                </div>' .
                '</div>';
        }

        return '';
    }
}
