

(function () {

    var nactiMedium = function() {
        var idMedium = prompt(ron.translate("navstevy_nacist_cip_a_potvrdit"), "");

        if (!idMedium) {
            return;
        }

        var $externiZamestnanec = $("[name='externiZamestnanec']");
        $externiZamestnanec.find('option').each(function() {
            var $option = $(this);
            if($option.data('kod-karty') === idMedium){
                $externiZamestnanec.val($option.attr('value'));
            }
        });
    };

    var
        nacteniDokladuPomociDialogu = function () {
            var obsah = prompt(ron.translate("navstevy_nacist_doklad_a_potvrdit"), "");
            if (obsah) {
                parsovaniUdajuDokladu(obsah);
            }
        };


        parsovaniUdajuDokladu = function (obsah) {
            var
                $prijmeniInputPole = $("[name='prijmeni']"),
                $jmenoInputPole = $("[name='jmeno']"),
                $dokladInputPole = $("[name='doklad']");

            $prijmeniInputPole.val("");
            $jmenoInputPole.val("");
            $dokladInputPole.val("");
            $("[name='titul']").val("");

            if (obsah.substring(0, 3) == 'RON') {
                var
                    replaceGt = obsah.replace(/</g, ""),
                    IDMedia = replaceGt.replace("RON", "");

                ron.debugLog("RON karticka. ID media:", IDMedia);

                $dokladInputPole.val(IDMedia);
            } else {
                data = ronPortal.decodePersonalDocument(obsah.split(" ").join("\n"));

                $prijmeniInputPole.val(data.surname);
                $jmenoInputPole.val(data.name);

                $dokladInputPole.val(data.idNumber);
            }
        };



    var
        navstivenaOsobaChange = function() {
            var hodnota = $(this).find("option:selected").attr('data-ron-telefon');
            $("#telefonNavstiveneOsoby").text(hodnota ? hodnota : '');
        },

        zamestnanecNavstevaChange = function() {
            var $option = $(this).find('option:selected');
            if ($option.length) {
                $("#prijmeni").val($option.data("prijmeni"));
                $("#jmeno").val($option.data("jmeno"));
                $("#titul").val($option.data("titul"));
            }
        },

        typNavstevyChange = function() {
            var radioTypNavstevyHodnota = $("[name='TypNavstevy']:checked").val();

            $("#row_zamestnanecNavsteva").toggle(radioTypNavstevyHodnota == "1");
        },

        drivejsiHodnotaChange = function() {
            var
                $this = $(this),
                selector = $this.data("input-selector");

            if (selector) {
                $(selector).val($this.val());
            }
        },

        vyhledatIDMedium = function() {
            var
                kod = prompt(ron.translate("navstevy_nacist_medium_a_potvrdit"), ""),
                nalezeno = false;

            if (kod == null || kod == "" || kod == undefined) {
                return;
            }

            var
                comboMedium = $("[name='medium']");

            comboMedium.find('option').each(function () {
                console.log('kod hledam..');

                console.log($(this).val());

                if ($(this).val() === kod) {
                    console.log(kod);
                    console.log($(this).val());

                    $("[name='jenMedium']").prop('checked', true);
                    comboMedium.val(kod);
                    this.form.submit();
                }
            });
        }
    ;

    $(function() {
        $("#form_navsteva")
            .on("change", "#navstivenaOsoba", navstivenaOsobaChange)
            .on("change", "#zamestnanecNavsteva", zamestnanecNavstevaChange)
            .on("change", "[name='TypNavstevy']", typNavstevyChange)
            .on("change", ".drivejsiHodnoty", drivejsiHodnotaChange)
            .on("click", "#nacteniID", nactiMedium)
            ;
        typNavstevyChange();

        $(".ronportalfilterform")
            .on("click", "#najit_navstevu_pomoci_id_medium", vyhledatIDMedium)
            ;

        $("#nacteniDokladuPomociDialogu").on("click", nacteniDokladuPomociDialogu);
        $("#hledaniJmena").focus();
    });

})();

